IEEE80211_QUEUE_DELA(9)

NAME
ieee80211_queue_delayed_work - add work onto the mac80211 workqueue

SYNOPSIS

void ieee80211_queue_delayed_work(struct ieee80211_hw * hw, struct delayed_work * dwork, unsigned long delay);

ARGUMENTS

hw
    the hardware struct for the interface we are adding work for

dwork
    delayable work to queue onto the mac80211 workqueue

delay
    number of jiffies to wait before queueing

DESCRIPTION

Drivers and mac80211 use this to queue delayed work onto the mac80211 workqueue.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT